<?php

namespace App\Http\Controllers\Api\Plan;

use App\Http\Controllers\Controller;
use App\Interfaces\PlanInterface;
use App\Traits\ResponseTrait;
use Illuminate\Http\Request;

class SubscriptionPlan extends Controller
{
    use ResponseTrait;

    protected $plan;

    public function __construct(PlanInterface $planInterface)
    {
        $this->plan = $planInterface;
    }

    public function GetAllPlans()
    {
        try{
            $plans=$this->plan->getPlans();
            return $this->responseSuccess($plans,'Plan fetch successfully', 200);
        }catch(\Exception $e){
            return $this->responseError($e->getMessage(), 'Plan fetch failed', 400);
        }

    }//end of function
}
