<?php

namespace App\Providers;

use App\Interfaces\AuthInterface;
use App\Interfaces\GoalInterface;
use App\Interfaces\NoteInterface;
use App\Interfaces\PlanInterface;
use App\Interfaces\UserInterface;
use App\Interfaces\WordInterface;
use App\Interfaces\EventInterface;
use App\Repositories\AuthRepository;
use App\Repositories\GoalRepository;
use App\Repositories\NoteRepository;
use App\Repositories\PlanRepository;
use App\Repositories\UserRepository;
use App\Repositories\WordRepository;
use App\Repositories\EventRepository;
use Illuminate\Support\ServiceProvider;
use App\Interfaces\SubscriptionInterface;
use App\Repositories\SubscriptionRepository;

class RepositoryServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        //bind all repositories
        $this->app->bind(AuthInterface::class,AuthRepository::class);
        $this->app->bind(UserInterface::class,UserRepository::class);
        $this->app->bind(PlanInterface::class,PlanRepository::class);
        $this->app->bind(SubscriptionInterface::class,SubscriptionRepository::class);
        $this->app->bind(NoteInterface::class,NoteRepository::class);
        $this->app->bind(EventInterface::class,EventRepository::class);
        $this->app->bind(GoalInterface::class,GoalRepository::class);
        $this->app->bind(WordInterface::class,WordRepository::class);
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        //
    }
}
